#' Summary method for blogmc object
#' @param x object of class blogmc
#' @export

summary.blogmc = function(x) {
  coef <- x[[1]]
  cat("Worse-entity estimates")
  cat("\n")
  coef_y = coef[grep("y_", rownames(coef)),]
  rownames(coef_y) = sapply(rownames(coef_y), function(x) substr(x, 3, nchar(x)))
  print(format(coef_y, digits = 2))
  cat("\n")
  cat("Delta estimates")
  cat("\n")
  coef_delta = coef[grep("delta_", rownames(coef)),]
  rownames(coef_delta) = sapply(rownames(coef_delta), function(x) substr(x, 7, nchar(x)))
  print(format(coef_delta, digits = 2))
  cat("\n")
  cat("Sensitivity estimates")
  cat("\n")
  coef_sens = coef[grep("sens_", rownames(coef)),]
  rownames(coef_sens) = sapply(rownames(coef_sens), function(x) substr(x, 6, nchar(x)))
  print(format(coef_sens, digits = 2))

  cat("\n")
  cat("Specificity estimates")
  cat("\n")
  coef_spec = coef[grep("spec_", rownames(coef)),]
  rownames(coef_spec) = sapply(rownames(coef_spec), function(x) substr(x, 6, nchar(x)))
  print(format(coef_spec, digits = 2))
  cat("\n")
}
